/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

header {
    padding: rem(24) rem(40) rem(20) rem(16);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    border-bottom: rem(1) solid var(--border-color);
    background-color: rgba(12, 8, 65, 0.6);
    box-shadow: 0px 32px 32px 0px rgba(0, 0, 0, 0.24);
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 100;

    .logo-wrapper {

        width: rem(250);

        button {
            border: none;
            background: transparent;
        }

    }

    .right-content {
        width: calc(100% - rem(250));
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-left: rem(90);

        @media (max-width: 1350px) {
            padding-left: 0;
        }
    }

}

@import "../header/nav";
@import "../header/settings";